#
# Configuration file for xbps-src.
#

#
# Directory where the xbps-src GIT repository is stored. This is
# required to be mounted in the chroot. You shouldn't need to modify this
# one unless your vanilla/xbps-templates repo has been moved to another path.
#
XBPS_DISTRIBUTIONDIR=@@XBPS_DISTRIBDIR@@

#
# Chroot master directory.
#
XBPS_MASTERDIR=$XBPS_DISTRIBUTIONDIR/masterdir

#
# Cache directory for downloaded binary packages; it's bind mounted
# to $XBPS_MASTERDIR/cachedir for chroot operations.
#
#XBPS_CACHEDIR=/path/to/cachedir/with/user/permissions/to/write

#
# Compilation flags for C and C++.
#
XBPS_CFLAGS="-O2 -pipe"
XBPS_CXXFLAGS="$XBPS_CFLAGS"

#
# Enable or disable ccache to build packages from source.
#
#XBPS_CCACHE=yes

#
# Linker flags passed to the compiler. By default we use --as-needed to
# avoid linking extra libraries into binaries. See the following link
# for info:
#
# http://www.gentoo.org/proj/en/qa/asneeded.xml
#
XBPS_LDFLAGS="-Wl,--as-needed"

#
# Number of jobs when running make(1)-alike commands.
#
#XBPS_MAKEJOBS=4

#
# Compression program used to build the binary packages.
# Possible value: gzip, bzip2 or xz. Default xz.
#
XBPS_COMPRESS_CMD=xz

#
# Compression level used in XBPS_COMPRESS_CMD to build the
# binary packages. Possible values: 1-9. If unset, default value
# by the command will be used.
#
XBPS_COMPRESS_LEVEL=9

#
# Install required build time dependencies from binary packages,
# Local repository associated with the masterdir at <masterdir>/pkg-binpkgs,
# and remote repositories specified in XBPS_REPO_LIST will be used
# to resolve build dependencies.
#
#XBPS_PREFER_BINPKG_DEPS=yes
#XBPS_REPO_LIST="http://xbps.nopcode.org/repos/stable"

#
# Build packages with your unprivileged user in the chroot thanks
# to POSIX.1e Capabilities as explained in capabilities(7) on GNU/Linux.
#
# fakeroot is only used for the installation stage via the helper
# script xbps-src-doinst-helper.
#
XBPS_USE_CAPABILITIES=yes
